Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Descritor

    java.lang.Object
      estella.lib.Descritor

    public class Descritor

extends java.lang.Object

Gerencia descritor

See Also:
  `02/12/2005`

Constructor Summary
`Descritor(byte[] id, int tipo, int ttl, int hops, byte[] payload)` Novo descritor
`Descritor(int tipo, int ttl, int hops, byte[] payload)` Novo descritor, com um novo id
`Descritor(java.lang.String descritor)` Instancia a classe com o descritor passado

Method Summary
`byte[]` | `geraID()` Generate something remotely resembling a windows guid Essa funcao pertence originalmente ao software jTella versao 0.7 - cedida sobre GPL
`int` | `hops()` HOPS - Retorna o numero de vezes que o descritor foi roteado (passado por outros servents)
`void` | `hops(int hops)` HOPS - Seta o numero de vezes que o descritor foi roteado (passado por outros servents)
`byte[]` | `id()` Retorna o id do descritor
`void` | `id(byte[] _id)` Seta o id do descritor
`byte[]` | `payload()` Retorna o payload do descritor
`byte[]` | `retorna()` Retorna o descritor gerado
`java.lang.String` | `stringId()` Retorna o ip do descritor
`int` | `tipo()` Tipo do descritor
`int` | `ttl()` TTL - time to live
`void` | `ttl(int ttl)` TTL -time to live

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Descritor

    public Descritor(byte[] id,
                     int tipo,
                     int ttl,
                     int hops,
                     byte[] payload)

  Novo descritor

  Parameters:
    `byte[]` - id
    `int` - tipo
    `int` - ttl
    `int` - hops
    `byte[]` - payload

### Descritor

    public Descritor(int tipo,
                     int ttl,
                     int hops,
                     byte[] payload)

  Novo descritor, com um novo id

  Parameters:
    `int` - tipo
    `int` - ttl
    `int` - hops
    `byte[]` - payload

### Descritor

    public Descritor(java.lang.String descritor)

  Instancia a classe com o descritor passado

  Parameters:
    `String` - descritor

Method Detail

### id

    public void id(byte[] _id)

  Seta o id do descritor

  Parameters:
    `byte[]` - id

### stringId

    public java.lang.String stringId()

  Retorna o ip do descritor

  Returns:
    String ip

### id

    public byte[] id()

  Retorna o id do descritor

  Returns:
    byte[] id

### geraID

    public byte[] geraID()

  Generate something remotely resembling a windows guid Essa funcao pertence originalmente ao software jTella versao 0.7 - cedida sobre GPL

### retorna

    public byte[] retorna()

  Retorna o descritor gerado

  Returns:
    byte[] - retorna um array de bytes com o descritor, se ele nao foi criado, o retorno sera null

### ttl

    public int ttl()

  TTL - time to live

  Returns:
    byte - retorna o ttl do descritor

### ttl

    public void ttl(int ttl)

  TTL -time to live

  Parameters:
    `ttl` - - seta o ttl com o byte passado

### payload

    public byte[] payload()

  Retorna o payload do descritor

  Returns:
    byte[] payload

### hops

    public void hops(int hops)

  HOPS - Seta o numero de vezes que o descritor foi roteado (passado por outros servents)

  Parameters:
    `hops` - - byte com o hops a ser setado

### hops

    public int hops()

  HOPS - Retorna o numero de vezes que o descritor foi roteado (passado por outros servents)

  Returns:
    hops - byte com o hops

### tipo

    public int tipo()

  Tipo do descritor

  Returns:
    byte - tipo do descritor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD